#!/usr/bin/perl

use strict;
use warnings;

my $command = "bin/linux/release/rsa3 ";



foreach my $line (<STDIN>){
	chomp $line;
	my @t = split /\s/, $line;
	if($t[1]> $t[2]){
		my $tmp = $t[1];
		$t[1] = $t[2];
		$t[2] = $tmp;
	}
	next if ($t[1] == 1) ;
	
	my $exe = $command . $t[0] . " | grep factors:";
	my $res = `$exe`;
	chomp $res;
	
	my @r = split /\s/, $res;
	if (@r != 3){
		print "$t[0]: failed :-( not factors found!\n";
		next;
	}
	if($r[1]> $r[2]){
		my $tmp = $r[1];
		$r[1] = $r[2];
		$r[2] = $tmp;
	}

	if($r[1] == $t[1] && $r[2] == $t[2]){
		print "$t[0]: passed :-)\n";
	}else{
		print "$t[0]: failed :-( wrong factors: $r[1] $r[2]\n";
	}
	
}

